# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from plutus.api import plutus_pb2 as weclikd_dot_service_dot_plutus__pb2


class PlutusStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.PaySubscription = channel.unary_unary(
        '/weclikd.Plutus/PaySubscription',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.PaySubscriptionRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.PaySubscriptionResponse.FromString,
        )
    self.CancelSubscription = channel.unary_unary(
        '/weclikd.Plutus/CancelSubscription',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.CancelSubscriptionRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.CancelSubscriptionResponse.FromString,
        )
    self.GetPaymentInfo = channel.unary_unary(
        '/weclikd.Plutus/GetPaymentInfo',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.GetPaymentInfoRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.GetPaymentInfoResponse.FromString,
        )
    self.GetPayoutInfo = channel.unary_unary(
        '/weclikd.Plutus/GetPayoutInfo',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.GetPayoutInfoRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.GetPayoutInfoResponse.FromString,
        )
    self.ChangePaymentInfo = channel.unary_unary(
        '/weclikd.Plutus/ChangePaymentInfo',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.ChangePaymentInfoRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.ChangePaymentInfoResponse.FromString,
        )
    self.AddPayoutInfo = channel.unary_unary(
        '/weclikd.Plutus/AddPayoutInfo',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.AddPayoutInfoRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.AddPayoutInfoResponse.FromString,
        )
    self.GetAccountBalance = channel.unary_unary(
        '/weclikd.Plutus/GetAccountBalance',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.GetAccountBalanceRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.GetAccountBalanceResponse.FromString,
        )
    self.LikeContent = channel.unary_unary(
        '/weclikd.Plutus/LikeContent',
        request_serializer=weclikd_dot_service_dot_plutus__pb2.LikeContentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_plutus__pb2.LikeContentResponse.FromString,
        )


class PlutusServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def PaySubscription(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def CancelSubscription(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetPaymentInfo(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetPayoutInfo(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ChangePaymentInfo(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def AddPayoutInfo(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAccountBalance(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def LikeContent(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_PlutusServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'PaySubscription': grpc.unary_unary_rpc_method_handler(
          servicer.PaySubscription,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.PaySubscriptionRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.PaySubscriptionResponse.SerializeToString,
      ),
      'CancelSubscription': grpc.unary_unary_rpc_method_handler(
          servicer.CancelSubscription,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.CancelSubscriptionRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.CancelSubscriptionResponse.SerializeToString,
      ),
      'GetPaymentInfo': grpc.unary_unary_rpc_method_handler(
          servicer.GetPaymentInfo,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.GetPaymentInfoRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.GetPaymentInfoResponse.SerializeToString,
      ),
      'GetPayoutInfo': grpc.unary_unary_rpc_method_handler(
          servicer.GetPayoutInfo,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.GetPayoutInfoRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.GetPayoutInfoResponse.SerializeToString,
      ),
      'ChangePaymentInfo': grpc.unary_unary_rpc_method_handler(
          servicer.ChangePaymentInfo,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.ChangePaymentInfoRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.ChangePaymentInfoResponse.SerializeToString,
      ),
      'AddPayoutInfo': grpc.unary_unary_rpc_method_handler(
          servicer.AddPayoutInfo,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.AddPayoutInfoRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.AddPayoutInfoResponse.SerializeToString,
      ),
      'GetAccountBalance': grpc.unary_unary_rpc_method_handler(
          servicer.GetAccountBalance,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.GetAccountBalanceRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.GetAccountBalanceResponse.SerializeToString,
      ),
      'LikeContent': grpc.unary_unary_rpc_method_handler(
          servicer.LikeContent,
          request_deserializer=weclikd_dot_service_dot_plutus__pb2.LikeContentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_plutus__pb2.LikeContentResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'weclikd.Plutus', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
